<template>
  <div class="container">
    <pay-wait-layer :value="isPayWait" />
  </div>
</template>

<script>
import detailPayMixin from "@/views/Goods/Detail/modules/detailPay.mixin";
// import qs from "qs";
import { isXyqb } from "@/service/validation";
export default {
  name: "PayWaiting",
  mixins: [detailPayMixin],
  data() {
    return {
      orderInfo: {}
    };
  },
  mounted() {
    // if (document.referrer.length > 0) {
    //   window.location.href =
    //     window.location.origin +
    //     "/payWaiting" +
    //     qs.stringify(this.$route.query, { encode: true, addQueryPrefix: true });
    // }
    this.isPayWait = true;
    this.orderInfo = this.$route.query;
    // 如果存在isXyqb，同时当前不是在信用钱包环境，或众安第三方支付
    if (this.orderInfo.isfXyqb == 1 && (!isXyqb || this.orderInfo.third)) {
      window.location.href = "xyqb://my";
      if (localStorage.get("mongoToken")) {
        this.$router.replace("/policy");
      } else {
        this.$router.replace("/home");
      }
      return;
    }
    // 没有订单信息的情况
    if (!this.orderInfo.payOrderNo) {
      this.$notify({ type: "warning", message: "正在跳转..." });
      setTimeout(() => {
        window.location.href = "/policy";
      }, 1000);
      return;
    }
    this.getPayResult();
  }
};
</script>
<style lang="less" src="./index.less" scoped></style>
